package com.kaixed.kchat.network

/**
 * @Author: kaixed
 * @Date: 2024/10/14 13:46
 * @Description: 网络接口类
 */
object NetworkInterface {

    private const val URL = "app.kaixed.com/kchat"
    const val SERVER_URL = "https://$URL"
    const val WEBSOCKET_SERVER_URL = "wss://$URL"
    const val WEBSOCKET = "/websocket/single/"
    const val USER_INFO = "/users/info/"
    const val USER_LOGIN = "/users/login"
    const val USER_MESSAGES_COUNT = "/users/%s/%s/msgCounts"
    const val USER_MESSAGES = "/users/%s/%s/messages"
    const val MESSAGE_WITHDRAW = "/messages/"

    const val USER_LIST = "/users/list/"

    const val ADD_FRIEND = "/friend/request"
    const val FRIEND_LIST = "/friend/list"
}